﻿//     Copyright (c) Microsoft Corporation.  All rights reserved.

using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Web;

namespace Gateway.Console.Models
{
    public class ConsoleContext : DbContext
    {
        // You can add custom code to this file. Changes will not be overwritten.
        // 
        // If you want Entity Framework to drop and regenerate your database
        // automatically whenever you change your model schema, please use data migrations.
        // For more information refer to the documentation:
        // http://msdn.microsoft.com/en-us/data/jj591621.aspx
    
        public ConsoleContext() : base("name=ConsoleContext")
        {
        }

        public System.Data.Entity.DbSet<Gateway.Console.Models.RoleModel> RoleModels { get; set; }

        public System.Data.Entity.DbSet<Gateway.Console.Models.SecurityModel> SecurityModels { get; set; }

        public System.Data.Entity.DbSet<Gateway.Console.Models.AnalyticsReportModel> AnalyticsReportModels { get; set; }

        public System.Data.Entity.DbSet<Gateway.Console.Models.AnalyticsReportRow> AnalyticsReportRows { get; set; }
    }
}
