﻿//     Copyright (c) Microsoft Corporation.  All rights reserved.

using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Microsoft.Gateway.Console.Models
{
    public class DeploymentModel
    {
        [Display(Name = "Deployment Subscription")]
        public List<SelectListItem> Subscriptions{ get; set; }

        public string SubscriptionSelection { get; set; }        

        [Display(Name = "Service Package File Location")]
        public string ServicePackageFileLocation { get; set; }

        [Display(Name="Service Configuration Location")]
        public string ServiceConfigurationLocation{ get; set; }

        [Display(Name = "Role Index Configuration Location")]
        public string RoleIndexConfigLocation { get; set; }        

        [Display(Name = "Deployment Region")]
        public List<SelectListItem> Regions { get; set; }

        public string RegionSelection { get; set; }

        [Display(Name = "Service Name")]
        public string ServiceName { get; set; }

        [Display(Name = "Instance Count")]
        public int InstanceCount { get; set; }

        

    }
}