﻿//     Copyright (c) Microsoft Corporation.  All rights reserved.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Gateway.Console.Models;

namespace Gateway.Console.Controllers
{
    public class AnalyticsController : Controller
    {
        public ActionResult Index()
        {
            return View(CreateModel());
        }

        [HttpPost]
        public ActionResult Index(HttpPostedFileBase file)
        {
            return View(CreateModel());
        }      

        private AnalyticsModel CreateModel()
        {
            return new AnalyticsModel
            {
                EnableAnalytics = false,
                CreateCluster = true,
                ClusterName = "MyAppAnalytics",
                ClusterNodeCount = 4,
                AvailableClusters = new List<SelectListItem> {
                    new SelectListItem { Text = "HDInsightCluster1" },
                    new SelectListItem { Text = "HDInsightCluster2" },
                },
            };
        }
    }
}