﻿//     Copyright (c) Microsoft Corporation.  All rights reserved.

using System;
using System.Collections.Generic;

namespace Microsoft.Gateway.Configuration
{
    public class GatewayConfigurationIndex
    {
        public GatewayConfigurationIndex()
        {
            this.Roles = new Dictionary<string, string>(StringComparer.OrdinalIgnoreCase);
        }

        public IDictionary<string, string> Roles { get; private set; }
        public string Directory { get; set; }
        public string ApplicationName { get; set; }
    }
}
